Get a membership scheme
curl --request GET \
--url https://api.letsdothis.com/v0/membership-schemes/{schemeId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/membership-schemes/{schemeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/membership-schemes/{schemeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"title": "<string>",
"summaryMarkdown": "<string>",
"benefitsMarkdown": "<string>"
}{
"code": "MEMBERSHIP_RESOURCE_NOT_FOUND",
"statusCode": 123,
"message": "<string>"
}Memberships
Get a membership scheme
Returns a single membership scheme by ID if it belongs to the organizer associated with your Public API credentials.
GET
/
v0
/
membership-schemes
/
{schemeId}
Get a membership scheme
curl --request GET \
--url https://api.letsdothis.com/v0/membership-schemes/{schemeId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/membership-schemes/{schemeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/membership-schemes/{schemeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"title": "<string>",
"summaryMarkdown": "<string>",
"benefitsMarkdown": "<string>"
}{
"code": "MEMBERSHIP_RESOURCE_NOT_FOUND",
"statusCode": 123,
"message": "<string>"
}This endpoint is in beta: its request and response contract can still change while it’s being developed.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[a-fA-F0-9]{24}$Was this page helpful?

